getTestedPairs {SLGI} | R Documentation

## Find interacting and non-interacting tested pairs from an genetic interaction matrix.

### Description

`getTestedPairs` find all the pairs from an interaction matrix and a list of tested genes.

### Usage

    getTestedPairs(iMat, respV)

### Arguments

`iMat` | Adjacency matrix reporting genetic Interactions. Each entry has value 0 or 1, representing positive or negative interaction of corresponding pairs of row and column, respectively.
`respV` | Character vector of all gene names that were tested (found to interact or not)

### Value

A data.frame with 4 columns:

`query` | gene names of the query genes
`array` | gene names og the tested genes (e.g., array genes)
`interact` | numeric vector of the number of observed interactions (0: no interaction; 1: one interaction; 2: two interactions when the query genes were also on the array)
`recip` | logical to indicate whether the reported genes were both query and array genes (TRUE: both genes were query and array genes)

.

### Author(s)

N. LeMeur

### See Also

`getSharedDomains` `getUniquePairs`

### Examples

    intM <- c(0,1,0,0,1,1,0,0,1,0,0,1,1,0,1,0)
    dim(intM) <- c(4,4)
    dimnames(intM) <- list(c("p1","p2","p3","p4"),c("p1","p3","p5","p7") )
    respV <- c("p6","p8")
    intM
    getTestedPairs(intM,respV)

[Package SLGI version 1.4.0 Index]